import request from '@/utils/request'
// 身份审核列表
export function getList(data) {
  return request({
    url: '/driverInfo/selectDriverInfoPage',
    method: 'get',
     params: data,
  })
}
// 身份审核
export function toExamine(data) {
  return request({
    url: '/driverInfo/api/examine',
    method: 'post',
     data: data,
  })
}
// 消息
export function postNews(data) {
  return request({
    url: '/newsInfo/api/addNewsInfo',
    method: 'post',
     data: data,
  })
}
// 司机批量消息发送
export function batchPostNews(data) {
  return request({
    url: '/newsInfo/api/batchSendNews',
    method: 'post',
     data: data,
  })
}
// 车辆审核列表
export function getCarList(data) {
  return request({
    url: '/driverCarInfo/selectCar',
    method: 'get',
     params: data,
  })
}
// 车辆审核
export function toCarExamine(data) {
  return request({
    url: '/driverCarInfo/api/examine',
    method: 'post',
     data: data,
  })
}
// 查看账单
export function billSee(data) {
  return request({
    url: '/hyDriverCapitalInfo/billList',
    method: 'get',
    params: data,
  })
}
// 查看车队信息列表
export function fleetList(data) {
  return request({
    url: '/fleetInfo/selectFleetInfoAdministration',
    method: 'get',
    params: data,
  })
}
// 查看车队信息审核
export function auditFleet(data) {
  return request({
    url: '/fleetInfo/api/examineFleetInfo',
    method: 'post',
    data: data,
  })
}
// 查看单个车队详情
export function fleetDetails(data) {
  return request({
    url: '/fleetInfo/getFleetInfo',
    method: 'get',
    params: data,
  })
}
//司机信息修改垫付比例
export function editInfo(data) {
  return request({
    url: '/driverInfo/api/editProportion',
    method: 'post',
    data: data,
  })
}
// 禁用
export function forbidden(data) {
  return request({
    url: '/commonUser/editUserInfo',
    method: 'post',
     data: data,
  })
}
// 车队长信息列表
export function getCarCaptainList(data) {
  return request({
    url: '/hyCarCaptainInfo/api/selectCarCaptainPage',
    method: 'get',
     params: data,
  })
}
// 车队长信息审核
export function carCaptainAudit(data) {
  return request({
    url: '/hyCarCaptainInfo/api/examine',
    method: 'post',
     data: data,
  })
}
// 车队长成员
export function getpersionList(data) {
  return request({
    url: '/hyBindCarCaptainInfo/api/selectPage',
    method: 'get',
    params: data,
  })
}
// 车队长账单
export function getBillList(data) {
  return request({
    url: 'hyFreightSettlementInfo/selectFleetCaptainBill',
    method: 'get',
    params: data,
  })
}

// 识别身份证
export function getPersonShibie(data) {
  return request({
    url: '/driverInfo/personShibie',
    method: 'get',
    params: data,
  })
}

export function editdriverInfo(data) {
  return request({
    url: '/driverInfo/api/editInfo',
    method: 'post',
     data: data,
  })
}

export function adddriverInfo(data) {
  return request({
    url: '/driverInfo/api/addInfo',
    method: 'post',
     data: data,
  })
}

// 司机列表
export function selectDriverList(data) {
  return request({
    url: '/driverInfo/selectDriverList ',
    method: 'get',
     params: data,
  })
}

export function getInfo(data) {
  return request({
    url: '/commonSysParameter/getInfo',
    method: 'get',
     params: data,
  })
}

export function addCar(data) {
  return request({
    url: '/driverCarInfo/api/addInfo',
    method: 'post',
     data: data,
  })
}

export function editCar(data) {
  return request({
    url: '/driverCarInfo/api/editInfo',
    method: 'post',
     data: data,
  })
}

export function personShibie(data) {
  return request({
    url: '/driverInfo/personShibie',
    method: 'get',
     params: data,
  })
}
export function bankShibie(data) {
  return request({
    url: '/driverInfo/bankShibie',
    method: 'get',
     params: data,
  })
}
export function driverLicenseShibie(data) {
  return request({
    url: '/driverInfo/api/driverLicenseShibie',
    method: 'get',
     params: data,
  })
}
export function qualificationLicenseShibie(data) {
  return request({
    url: '/driverInfo/api/qualificationLicenseShibie',
    method: 'get',
     params: data,
  })
}

export function driveringLicenseShibie(data) {
  return request({
    url: '/driverCarInfo/api/driveringLicenseShibie',
    method: 'get',
     params: data,
  })
}

export function tranLicenseShibie(data) {
  return request({
    url: '/driverCarInfo/api/tranLicenseShibie',
    method: 'get',
     params: data,
  })
}


